package com.cm.central.control.pojo.vos.clientexception;

import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringEscapeUtils;

/**
 *
 * @ClassName: ClientExceptionVO
 * @Description: 客户端异常
 * @Author: WenG
 * @Date: 2020-07-30 19:13
 * @Version: 1.0
 **/
@ApiModel
public class ClientExceptionVO {

    @ApiModelProperty(name = "clientId", value = "客户端ID")
    private String clientId;
    @ApiModelProperty(name = "exceptionType", value = "异常类型")
    private String exceptionType;
    @ApiModelProperty(name = "exceptionName", value = "异常名称")
    private String exceptionName;
    @ApiModelProperty(name = "exceptionSummary", value = "异常详情")
    private String exceptionSummary;
    @ApiModelProperty(name = "isNoticeProjectLeader", value = "通知负责人")
    @CheckNumberAnnotation(name = "通知负责人")
    private Integer isNoticeProjectLeader;
    @ApiModelProperty(name = "isHandle", value = "是否处理")
    @CheckNumberAnnotation(name = "是否处理")
    private Integer isHandle;

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getExceptionType() {
        return exceptionType == null ? "" : exceptionType.trim();
    }

    public void setExceptionType(String exceptionType) {
        this.exceptionType = exceptionType;
    }

    public String getExceptionName() {
        return exceptionName == null ? "" : exceptionName.trim();
    }

    public void setExceptionName(String exceptionName) {
        this.exceptionName = exceptionName;
    }

    public String getExceptionSummary() {
        return exceptionSummary == null ? "" : exceptionSummary.trim();
    }

    public void setExceptionSummary(String exceptionSummary) {
        this.exceptionSummary = exceptionSummary;
    }

    public Integer getIsNoticeProjectLeader() {
        return isNoticeProjectLeader == null ? 0 : isNoticeProjectLeader;
    }

    public void setIsNoticeProjectLeader(Integer isNoticeProjectLeader) {
        this.isNoticeProjectLeader = isNoticeProjectLeader;
    }

    public Integer getIsHandle() {
        return isHandle == null ? 0 : isHandle;
    }

    public void setIsHandle(Integer isHandle) {
        this.isHandle = isHandle;
    }


}
